package proiektua;

import java.io.File;
import java.io.IOException;
import java.util.Vector;

import javax.xml.parsers.*;

import org.w3c.dom.*;
import org.xml.sax.SAXException;

//http://www.mkyong.com/java/how-to-read-xml-file-in-java-dom-parser/
public class ReadXML {
	private Element tagElements;
	private String xmlFilePath;
	private Document doc = null;

	public ReadXML(String file)
			throws ParserConfigurationException, SAXException, IOException {

		try{
			xmlFilePath = file;
			java.io.InputStream xmlFile = getClass().getClassLoader().getResourceAsStream(xmlFilePath);
			DocumentBuilder builder = DocumentBuilderFactory.newInstance()
					.newDocumentBuilder();
			doc = builder.parse(xmlFile);
		} catch (Exception e) {
			xmlFilePath = file;
			File xmlFile = new File(xmlFilePath);
			DocumentBuilder builder = DocumentBuilderFactory.newInstance()
					.newDocumentBuilder();
			doc = builder.parse(xmlFile);
		}
	}

	public Vector<String> getSections() {
		Vector<String> sections = new Vector<String>();
		Element e = doc.getDocumentElement();
		// System.out.println(e);
		NodeList n = e.getChildNodes();
		// System.out.println(nodelist.item(0).getTextContent());
		for (int i = 0; i < n.getLength(); i++) {
			Node item = n.item(i);
			if (item.getNodeType() == Node.ELEMENT_NODE) {
				sections.addElement(item.getNodeName());
			}
			// System.out.println("'"+item.getTextContent()+"'");
		}
		return sections;
	}

	public String getSectionNodeValue(String section, String tag) {

		NodeList nodes = doc.getElementsByTagName(section);
		tagElements = (Element) nodes.item(0);
		NodeList pageSecuence = tagElements.getElementsByTagName(tag);
		Element item = (Element) pageSecuence.item(0);
		return item.getTextContent();
	}

	public static void main(String argv[]) throws ParserConfigurationException,
			SAXException, IOException {
		Vector<String> sections;
		ReadXML xml = new ReadXML("languages/languages.xml");
		sections = xml.getSections();
		for(int i=0;i<sections.size();i++) {
			System.out.println(sections.get(i));
		}
	}

}